<?php

namespace Netzmacher\Org\Backend;

use Netzmacher\Org\Backend\Extensionmanager;
use Netzmacher\Org\Utility\Typo3VersionUtility;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2018-2020 - Dirk Wildt <http://wildt.at.die-netzmacher.de/>
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * @author      Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package     TYPO3
 * @subpackage  org
 * @version 10.0.0
 * @since 8.10.0
 */
class PageTreeIcons
{

	/**
	 * @access public
	 * @return      void
	 * @version     8.10.0
	 * @since       8.10.0
	 */
	static public function Render()
	{
		$TYPO3_version = Typo3VersionUtility::Get();

		switch( TRUE )
		{
			case ( $TYPO3_version < 8007000 ):
				SELF::_Render76();
				break;
			case ( $TYPO3_version >= 8007000 ):
			default:
				SELF::_Render87();
				break;
		}
	}

	/**
	 * @access private
	 * @return      void
	 * @version     10.0.0
	 * @since       8.10.0
	 */
	static private function _Render76()
	{
		global $GLOBALS;

		// #tt5157, 200510, dwildt, 1-/+
		//$path = \Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' );
		$path = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( 'org' );

		$llStatic = Extensionmanager::getProperty( 'backendLanguage' );

		switch( true )
		{
			case($llStatic == 'German'):
				// German
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org', 'org', $path . 'ext_icon.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Dienstleistung', 'org_srvce', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_service.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Download', 'org_dwnlds', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Kalender', 'org_cal', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_cal.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Mehrwertsteuer', 'org_tax', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_tax.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Nachricht', 'org_news', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_news.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Person', 'org_staff', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_staff.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Seminar', 'org_semin', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_seminar.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Stellenangebot', 'org_job', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_job.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Veranstalter', 'org_headq', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Veranstaltung', 'org_event', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_event.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Veranstaltungsort', 'org_locat', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_location.svg' );
				break;
			default:
				// English
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org', 'org', $path . 'ext_icon.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Calendar', 'org_cal', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_cal.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Download', 'org_dwnlds', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Event', 'org_event', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_event.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Organiser', 'org_headq', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Job', 'org_job', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_job.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Location', 'org_locat', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_location.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: News', 'org_news', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_news.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Seminar', 'org_semin', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_seminar.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Service', 'org_srvce', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_service.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: People', 'org_staff', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_staff.svg' );
				$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Org: Tax', 'org_tax', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_tax.svg' );
		}
// Case $llStatic
//  #34858, 120320, dwildt
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org', '../typo3conf/ext/org/ext_icon.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_cal', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_cal.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_dwnlds', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_event', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_event.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_headq', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_job', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_job.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_locat', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_location.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_news', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_news.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_semin', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_seminar.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_srvce', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_service.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_staff', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_staff.svg' );
		\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-org_tax', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_tax.svg' );
	}

	/**
	 * @access private
	 * @return      void
	 * @version     8.10.0
	 * @since       8.10.0
	 */
	static private function _Render87()
	{
		global $GLOBALS;

		$extIconPath = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/';
		$extLLLPath = 'LLL:EXT:org/Resources/Private/Language/';

		$extIcons = array(
				'org' => array(
						'identifier' => 'contains-org'
						, 'key' => 'org' // <- Key must be the part behind contains- of the identifier!
						, 'label' => $extLLLPath . 'tx_org.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org.svg'
				),
				'org_cal' => array(
						'identifier' => 'contains-org_cal'
						, 'key' => 'org_cal'
						, 'label' => $extLLLPath . 'tx_org_cal.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_cal.svg'
				),
				'org_dwnlds' => array(
						'identifier' => 'contains-org_dwnlds'
						, 'key' => 'org_dwnlds'
						, 'label' => $extLLLPath . 'tx_org_downloads.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_downloads.svg'
				),
				'org_event' => array(
						'identifier' => 'contains-org_event'
						, 'key' => 'org_event'
						, 'label' => $extLLLPath . 'tx_org_event.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_event.svg'
				),
				'org_headq' => array(
						'identifier' => 'contains-org_headq'
						, 'key' => 'org_headq'
						, 'label' => $extLLLPath . 'tx_org_headquarters.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_headquarters.svg'
				),
				'org_job' => array(
						'identifier' => 'contains-org_job'
						, 'key' => 'org_job'
						, 'label' => $extLLLPath . 'tx_org_job.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_job.svg'
				),
				'org_locat' => array(
						'identifier' => 'contains-org_locat'
						, 'key' => 'org_locat'
						, 'label' => $extLLLPath . 'tx_org_location.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_location.svg'
				),
				'org_news' => array(
						'identifier' => 'contains-org_news'
						, 'key' => 'org_news'
						, 'label' => $extLLLPath . 'tx_org_news.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_news.svg'
				),
				'org_semin' => array(
						'identifier' => 'contains-org_semin'
						, 'key' => 'org_semin'
						, 'label' => $extLLLPath . 'tx_org_seminar.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_seminar.svg'
				),
				'org_srvce' => array(
						'identifier' => 'contains-org_srvce'
						, 'key' => 'org_srvce'
						, 'label' => $extLLLPath . 'tx_org_service.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_service.svg'
				),
				'org_staff' => array(
						'identifier' => 'contains-org_staff'
						, 'key' => 'org_staff'
						, 'label' => $extLLLPath . 'tx_org_staff.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_staff.svg'
				),
				'org_tax' => array(
						'identifier' => 'contains-org_tax'
						, 'key' => 'org_tax'
						, 'label' => $extLLLPath . 'tx_org_tax.xml:pageTreeIconLabel'
						, 'source' => $extIconPath . 'tx_org_tax.svg'
				),
		);

		$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \TYPO3\CMS\Core\Imaging\IconRegistry::class );

		foreach( ( array ) $extIcons as $extIcon )
		{
			$iconRegistry->registerIcon(
							$extIcon[ 'identifier' ]
							, \TYPO3\CMS\Core\Imaging\IconProvider\SVGIconProvider::class
							, [ 'source' => $extIcon[ 'source' ] ]
			);
			$GLOBALS[ 'TCA' ][ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array(
					$extIcon[ 'label' ]
					, $extIcon[ 'key' ]
					, $extIcon[ 'identifier' ]
			);
			$GLOBALS[ 'TCA' ][ 'pages' ][ 'ctrl' ][ 'typeicon_classes' ][ $extIcon[ 'identifier' ] ] = $extIcon[ 'identifier' ];
		}
	}

}
