<?php

namespace Netzmacher\Org\TCA\Columns;

use Netzmacher\Org\Utility\Typo3VersionUtility;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2018-2020 - Dirk Wildt <http://wildt.at.die-netzmacher.de/>
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * @version 8.10.0
 * @since 8.10.0
 */
class Wizards
{

	/**
	 * Url()
	 * 
	 * @return array
	 * @access public
	 * @version 8.10.0
	 * @since 8.10.0
	 */
	static public function Url()
	{
		$TYPO3_version = Typo3VersionUtility::Get();

		switch( TRUE )
		{
			case ( $TYPO3_version < 8007000 ):
				return SELF::_Url76();
			case ( $TYPO3_version >= 8007000 ):
			default:
				return SELF::_Url87();
		}
	}

	/**
	 * Url76()
	 * 
	 * @return array
	 * @access private
	 * @version 8.10.0
	 * @since 8.10.0
	 */
	static private function _Url76()
	{
		return array(
				'type' => 'input',
				'size' => '80',
				'max' => '256',
				'checkbox' => '',
				'eval' => 'trim',
				'wizards' => array(
						'_PADDING' => '2',
						'link' => array(
								'type' => 'popup',
								'title' => 'Link',
								'icon' => 'link_popup.gif',
								'module' => array(
										'name' => 'wizard_element_browser',
										'urlParameters' => array(
												'mode' => 'wizard',
										),
								),
								'JSopenParams' => 'height=680,width=800,status=0,menubar=0,scrollbars=1',
						),
				),
				'softref' => 'typolink',
		);
	}

	/**
	 * Url87()
	 * 
	 * @return array
	 * @access private
	 * @version 8.10.0
	 * @since 8.10.0
	 */
	static private function _Url87()
	{
		return array(
				'type' => 'input',
				'renderType' => 'inputLink',
				'size' => '80',
				'max' => '256',
				'checkbox' => '',
				'eval' => 'trim',
				'softref' => 'typolink',
		);
	}

}
