<?php

namespace Netzmacher\Org\TCA\Ctrl;

use Netzmacher\Org\Utility\Typo3VersionUtility;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2017-2020 -  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * @author      Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package     TYPO3
 * @subpackage  org
 * @version     8.10.0
 * @since       7.0.2
 */
class Icons
{

	public static $pathCatColor = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_color';
	public static $pathCatImage = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_image';
	public static $pathCatText = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_text';
	public static $pathDefault = 'EXT:org/ext_icon';
	public static $pathDownload = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/download';
	public static $pathDownloadShipping = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/download_shipping';
	public static $pathShipping = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/shipping';
	public static $pathNotype = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/notype';
	public static $pathPage = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/page';
	public static $pathRecord = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/record';
	public static $pathUrl = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/url';
	public static $path_tx_org_cal = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_cal';
	public static $path_tx_org_downloads = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_downloads';
	public static $path_tx_org_event = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_event';
	public static $path_tx_org_headquarters = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters';
	public static $path_tx_org_job = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_job';
	public static $path_tx_org_location = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_location';
	public static $path_tx_org_news = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_news';
	public static $path_tx_org_seminar = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_seminar';
	public static $path_tx_org_service = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_service';
	public static $path_tx_org_staff = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_staff';
	public static $path_wizardnewsteaser = 'EXT:org/Resources/Public/Images/Icons/WizardItems/ext-org-wizardnewsteaser';
	public static $path_wizardnewsxblog = 'EXT:org/Resources/Public/Images/Icons/WizardItems/ext-org-wizardnewsxblog';

	/**
	 * Register Icons
	 *
	 * @return      void
	 * @version     7.0.2
	 * @since       7.0.2
	 */
	static public function RegisterIcons()
	{
		if( Typo3VersionUtility::get() < 7006000 )
		{
			return;
		}

		$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \TYPO3\CMS\Core\Imaging\IconRegistry::class );

		foreach( SELF::_getClassWiIcons() as $class => $source )
		{
			$iconRegistry->registerIcon(
							$class
							, \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class
							, [ 'source' => $source ]
			);
		}
	}

	/**
	 * @param				string $table
	 * @access public
	 * @return      array
	 * @version     8.10.0
	 * @since       7.0.2
	 */
	static public function TypeIconClasses( $table )
	{
		if( Typo3VersionUtility::get() < 7006000 )
		{
			return NULL;
		}
		switch( $table )
		{
			case('tx_org_cal'):
				return array(
						'default' => 'ext-org-tx_org_cal'
						, 'notype' => 'ext-org-notype'
						, 'page' => 'ext-org-page'
						, 'record' => 'ext-org-tx_org_cal'
						, 'url' => 'ext-org-url'
						, 'tx_org_event' => 'ext-org-tx_org_event'
						, 'tx_org_seminar' => 'ext-org-tx_org_seminar'
				);
			case('tx_org_downloads'):
				return array(
						'default' => 'ext-org-tx_org_downloads'
						, 'download' => 'ext-org-download'
						, 'download_shipping' => 'ext-org-downloadshipping'
						, 'shipping' => 'ext-org-shipping',
				);
			case('tx_org_downloadscat'):
			case('tx_org_downloadsmedia'):
				return array(
						'default' => 'ext-org-tx_org_downloads'
						, 'cat_color' => 'ext-org-cat_color'
						, 'cat_image' => 'ext-org-cat_image'
						, 'cat_text' => 'ext-org-cat_text'
				);
			default:
				return array(
						'default' => 'ext-org-' . $table
						, 'notype' => 'ext-org-notype'
						, 'page' => 'ext-org-page'
						, 'record' => 'ext-org-' . $table
						, 'url' => 'ext-org-url'
				);
		}
	}

	/**
	 *
	 * @return      string
	 * @access			private
	 * @version     8.10,.0
	 * @since       7.0.2
	 */
	static private function _Ext()
	{
		switch( TRUE )
		{
			case( Typo3VersionUtility::get() < 7006000 ):
				return 'gif';
			case( Typo3VersionUtility::get() >= 7006000 ):
			default:
				return 'svg';
		}
	}

	/**
	 * Get icon array with classes and paths
	 *
	 * @return      void
	 * @version     7.0.2
	 * @since       7.0.2
	 */
	static private function _getClassWiIcons()
	{
		$ext = SELF::_Ext();

		return array(
				'ext-org-cat_color' => SELF::$pathCatColor . '.' . $ext,
				'ext-org-cat_image' => SELF::$pathCatImage . '.' . $ext,
				'ext-org-cat_text' => SELF::$pathCatText . '.' . $ext,
				'ext-org-download' => SELF::$pathDownload . '.' . $ext,
				'ext-org-downloadshipping' => SELF::$pathDownloadShipping . '.' . $ext,
				'ext-org-shipping' => SELF::$pathShipping . '.' . $ext,
				'ext-org-notype' => SELF::$pathNotype . '.' . $ext,
				'ext-org-page' => SELF::$pathPage . '.' . $ext,
				'ext-org-record' => SELF::$pathDefault . '.' . $ext,
				'ext-org-url' => SELF::$pathUrl . '.' . $ext,
				'ext-org-tx_org_cal' => SELF::$path_tx_org_cal . '.' . $ext,
				'ext-org-tx_org_downloads' => SELF::$path_tx_org_downloads . '.' . $ext,
				'ext-org-tx_org_event' => SELF::$path_tx_org_event . '.' . $ext,
				'ext-org-tx_org_headquarters' => SELF::$path_tx_org_headquarters . '.' . $ext,
				'ext-org-tx_org_job' => SELF::$path_tx_org_job . '.' . $ext,
				'ext-org-tx_org_location' => SELF::$path_tx_org_location . '.' . $ext,
				'ext-org-tx_org_news' => SELF::$path_tx_org_news . '.' . $ext,
				'ext-org-tx_org_seminar' => SELF::$path_tx_org_seminar . '.' . $ext,
				'ext-org-tx_org_service' => SELF::$path_tx_org_service . '.' . $ext,
				'ext-org-tx_org_staff' => SELF::$path_tx_org_staff . '.' . $ext,
				'ext-org-wizardnewsteaser' => SELF::$path_wizardnewsteaser . '.' . $ext,
				'ext-org-wizardnewsxblog' => SELF::$path_wizardnewsxblog . '.' . $ext,
		);
	}

}