<?php

namespace Netzmacher\Org\Utility\ExtensionManager;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2011-2020 - Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * Class provides methods for the extension manager.
 *
 * @author    Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package    TYPO3
 * @subpackage    org
 * @version 8.10.0
 * @since 0.3.1
 */
class Prompts
{

	/**
	 * Path of the locallang file
	 *
	 * @var string
	 */
	private $lll = 'LLL:EXT:org/Resources/Private/Language/Userfunc/ExtManager/locallang.xml:';

	/**
	 * promptQuickstart(): Displays the quick start message.
	 *
	 * @return  string    message wrapped in HTML
	 * @since 0.3.1
	 * @version 0.3.1
	 */
	function promptQuickstart()
	{
//.message-notice
//.message-information
//.message-ok
//.message-warning
//.message-error

		$str_prompt = null;

		$str_prompt = $str_prompt . '
<div class="typo3-message message-information">
  <div class="message-body">
		<div class="panel panel-info">
			<div class="panel-heading">
				Info
			</div>
			<div class="panel-body">
				' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptQuickstartBody' ) . '
			</div>
	  </div>
  </div>
</div>
<div class="typo3-message message-information">
  <div class="message-body">
		<div class="panel panel-info">
			<div class="panel-heading">
				Info
			</div>
			<div class="panel-body">
		    ' . $GLOBALS[ 'LANG' ]->sL( $this->lll . 'promptGeneralInfo' ) . '
			</div>
	  </div>
  </div>
</div>
';
		return $str_prompt;
	}

}
