<?php

use Netzmacher\Org\Backend\Extensionmanager;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$llStatic = Extensionmanager::getProperty( 'backendLanguage' );

switch( $llStatic )
{
	case('German'):
		$tables = array(
				'tx_org_service' => 'mail', // Dienstleistungen
				'tx_org_downloads' => 'tx_org_service', // Dokumente
				'tx_org_job' => 'tx_org_downloads', // Jobs
				'tx_org_cal' => 'tx_org_job', // Kalender
				'tx_org_news' => 'tx_org_cal', // Nachrichten
				'tx_org_staff' => 'tx_org_news', // Personen
				'tx_org_seminar' => 'tx_org_staff', // Seminare
				'tx_org_headquarters' => 'tx_org_seminar', // Veranstalter
				'tx_org_event' => 'tx_org_headquarters', // Veranstaltungen
				'tx_org_location' => 'tx_org_event' // Veranstaltungsorte
		);
		break;
	case('default'):
	default:
		$tables = array(
				'tx_org_cal' => 'mail', // Calendar
				'tx_org_headquarters' => 'tx_org_cal', // Organisers
				'tx_org_downloads' => 'tx_org_headquarters', // Documents
				'tx_org_event' => 'tx_org_downloads', // Events
				'tx_org_job' => 'tx_org_event', // Jobs
				'tx_org_location' => 'tx_org_job', // Locations
				'tx_org_news' => 'tx_org_location', // News
				'tx_org_staff' => 'tx_org_news', // People
				'tx_org_seminar' => 'tx_org_staff', // Seminars
				'tx_org_service' => 'tx_org_seminar' // Services
		);
		break;
}

foreach( $tables as $table => $displayAfter )
{
	switch( Extensionmanager::getProperty( 'linkhandler.' . $table ) )
	{
		case( 'No' ):
			// The table should not appear in the link handler dialog box
			continue 2;
		case( 'Yes (recommended)' ):
		default:
			// The table should not appear in the link handler dialog box
			// follow the workflow
			break;
	}

	$onlyPids = Extensionmanager::getProperty( 'linkhandler.' . $table . '.onlyPids' );
	switch( true )
	{
		case(!empty( $onlyPids ) ):
			// stogare pids are defined by the extension manager
			$storagePids = 'storagePid    = ' . $onlyPids;
			$hidePageTree = 1;
			break;
		case( empty( $onlyPids ) ):
		default;
			// There isn't any stogare pid defined by the extension manager
			$hidePageTree = 0;
			$storagePids = null;
			break;
	}

	$tsConfig = '

TCEMAIN.linkHandler.' . $table . ' {
  handler = TYPO3\CMS\Recordlist\LinkHandler\RecordLinkHandler
  label   = LLL:EXT:org/Resources/Private/Language/TxLinkhandler/locallang.xlf:tab.' . $table . '
  configuration {
    table         = ' . $table . '
    hidePageTree  = ' . $hidePageTree . '
    ' . $storagePids . '
  }
  displayAfter  = ' . $displayAfter . '
  scanBefore    = page
}
';

//echo $tsConfig;
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( $tsConfig );
}

//die();
return;
