<?php

use Netzmacher\Org\Backend\Extensionmanager;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}


$hidePageTree = 0;
if( Extensionmanager::getProperty( 'linkhandler.hidePageTree' ) )
{
	$hidePageTree = 1;
}

$llStatic = Extensionmanager::getProperty( 'backendLanguage' );

switch( $llStatic )
{
	case('German'):
		$tables = array(
				'tx_org_service' => 'mail', // Dienstleistungen
				'tx_org_downloads' => 'tx_org_service', // Dokumente
				'tx_org_job' => 'tx_org_downloads', // Jobs
				'tx_org_cal' => 'tx_org_job', // Kalender
				'tx_org_news' => 'tx_org_cal', // Nachrichten
				'tx_org_staff' => 'tx_org_news', // Personen
				'tx_org_seminar' => 'tx_org_staff', // Seminare
				'tx_org_headquarters' => 'tx_org_seminar', // Veranstalter
				'tx_org_event' => 'tx_org_headquarters', // Veranstaltungen
				'tx_org_location' => 'tx_org_event' // Veranstaltungsorte
		);
		break;
	case('default'):
	default:
		$tables = array(
				'tx_org_cal' => 'mail', // Calendar
				'tx_org_headquarters' => 'tx_org_cal', // Organisers
				'tx_org_downloads' => 'tx_org_headquarters', // Documents
				'tx_org_event' => 'tx_org_downloads', // Events
				'tx_org_job' => 'tx_org_event', // Jobs
				'tx_org_location' => 'tx_org_job', // Locations
				'tx_org_news' => 'tx_org_location', // News
				'tx_org_staff' => 'tx_org_news', // People
				'tx_org_seminar' => 'tx_org_staff', // Seminar
				'tx_org_service' => 'tx_org_seminar' // Services
		);
		break;
}

foreach( $tables as $table => $displayAfter )
{
	switch( Extensionmanager::getProperty( 'linkhandler.' . $table ) )
	{
		case( 'No' ):
			continue 2;
		case( 'Yes (recommended)' ):
		default:
			// follow the workflow
			break;
	}
	$tsConfig = '

TCEMAIN.linkHandler.' . $table . ' {
  handler = Cobweb\Linkhandler\RecordLinkHandler
  label   = LLL:EXT:org/Resources/Private/Language/TxLinkhandler/locallang.xlf:tab.' . $table . '
  configuration {
    table         = ' . $table . '
    hidePageTree  = ' . $hidePageTree . '
    %storagePid%
  }
  displayAfter  = ' . $displayAfter . '
  scanBefore    = page
}
';

	$onlyPids = Extensionmanager::getProperty( 'linkhandler.', $table . '.onlyPids' );

	switch( true )
	{
		case(!empty( $onlyPids ) ):
			$onlyPids = 'storagePid    = ' . $onlyPids;
			break;
		case( empty( $onlyPids ) ):
		default;
			$onlyPids = null;
			break;
	}

	$tsConfig = str_replace( '%storagePid%', $onlyPids, $tsConfig );
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( $tsConfig );
}

$width = 400;
if( ( int ) Extensionmanager::getProperty( 'linkhandler.width' ) )
{
	$width = ( int ) Extensionmanager::getProperty( 'linkhandler.width' );
}

$tsConfig = '

RTE {
    default {
        buttons {
            link {
                dialogueWindow {
                    width = ' . $width . '
                }
            }
        }
    }
}
';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( $tsConfig );

return;
