<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal',
				'label' => 'datetime',
				'label_alt' => 'title,tx_org_location',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY datetime DESC, title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				// #t0697, 160721, dwildt, 1-
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_cal.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_cal' ),
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'type,page,url,'
				. 'title,subtitle,datetime,datetimeend,length,bodytext,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'location, locationurl,'
				. 'organiser, organiserurl,'
				. 'price,tax,'
				. 'stockmanagement,stockquantity,stockprompt,'
				. 'tx_org_calcal,'
				. 'tx_org_calentrance,'
				. 'tx_org_caltype,'
				. 'tx_org_event,'
				. 'tx_org_headquarters,'
				. 'tx_org_location,'
				. 'tx_org_seminar,'
				. 'tx_org_staff,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				. 'hidden,topitem,starttime,endtime,pages,fe_group,'
				. 'seo_keywords,seo_description,'
				. 'urlticket',
				'useColumnsForDefaultValues' => ''
				. 'type,title,subtitle,datetime,datetimeend,length,bodytext,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'tx_org_seminar,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				. 'hidden,topitem,newsletter,starttime,endtime,pages,'
				. 'seo_keywords,seo_description',
				// #69250, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_cal' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page( ),
				'url' => \Netzmacher\Org\TCA\Columns::URL( ),
				'bodytext' => \Netzmacher\Org\TCA\Columns::Bodytext(),
				'marginal_short' => \Netzmacher\Org\TCA\Columns::MarginalShort(),
				'marginal_subtitle' => \Netzmacher\Org\TCA\Columns::MarginalSubtitle(),
				'marginal_title' => \Netzmacher\Org\TCA\Columns::MarginalTitle(),
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' =>  \Netzmacher\Org\TCA\Columns::SeoKeywords(),
				'subtitle' => \Netzmacher\Org\TCA\Columns::Subtitle(),
				'teaser_short' => \Netzmacher\Org\TCA\Columns::TeaserShort(),
				'teaser_short_for_singleview' => \Netzmacher\Org\TCA\Columns::TeaserShortForSingleview(),
				'teaser_subtitle' => \Netzmacher\Org\TCA\Columns::TeaserSubtitle(),
				'teaser_title' => \Netzmacher\Org\TCA\Columns::TeaserTitle(),
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'urlticket' => \Netzmacher\Org\TCA\Columns::URLticket( ),
				'datetime' => array(
						'exclude' => 0,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.datetime',
						'config' => array(
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'size' => '10',
								'eval' => 'datetime,required',
						),
				),
				'datetimeend' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.datetimeend',
						'config' => array(
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'size' => '10',
								'eval' => 'datetime',
						),
				),
				'length' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.length',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'location' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.location',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'locationurl' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.locationurl',
						'exclude' => 0,
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'organiser' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiser',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'organiserurl' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiserurl',
						'exclude' => 0,
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'price' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.price',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'double2,nospace',
						)
				),
				'stockmanagement' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockmanagement',
						'config' => array(
								'type' => 'check',
								'default' => 0,
						)
				),
				'stockquantity' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockquantity',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
								'default' => 1
						)
				),
				'stockprompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'items' => array(
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.priceonapplication', 'application' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.booked', 'booked' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.negotiation', 'negotiation' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.notavailable', 'notavailable' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.notinstock', 'notinstock' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.onapplication', 'onapplication' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.refit', 'refit' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.selled', 'selled' ),
								),
								'default' => 'selled',
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'tax' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'items' => array(
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax.I.0', '1' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax.I.1', '2' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax.I.2', '0' ),
								),
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'filterPrompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/Userfunc/TcaFilterPrompt/locallang.xlf:default.label',
						'config' => array(
								'type' => 'user',
								'userFunc' => 'Netzmacher\Org\Utility\UserFunc\TcaFilterPrompt->tx_org_cal',
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'newsletter' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.newsletter',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'pages' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.pages',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '10',
								'maxitems' => '99',
								'minitems' => '0',
						),
				),
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
				'tx_org_calcal' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_cal', 'tx_org_calcal' ),
// 180725, dwildt, 1+/-
//				'tx_org_calentrance' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_cal', 'tx_org_calentrance' ),
				'tx_org_calentrance' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_cal', 'tx_org_calentrance' ),
				'tx_org_caltype' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_cal', 'tx_org_caltype' ),
				'tx_org_event' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySideOneItem( 'tx_org_event', 'tx_org_cal', NULL, 'tx_org_cal' ),
				'tx_org_headquarters' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_headquarters', 'tx_org_cal', 'tx_org_headquarters.mail_city, tx_org_headquarters.title', 'tx_org_cal' ),
				'tx_org_location' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySideOneItem( 'tx_org_cal', 'tx_org_location', 'tx_org_location.mail_city, tx_org_location.title' ),
				'tx_org_seminar' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySideOneItem( 'tx_org_seminar', 'tx_org_cal', NULL, 'tx_org_cal' ),
				'tx_org_staff' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_cal', 'tx_org_staff' ),

		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'topitem,newsletter,hidden,--linebreak--,'
						. 'starttime,endtime,fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'documents_appearance' => array(
						'showitem' => 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel',
						'canNotCollapse' => 1,
				),
				'datetime_datetimeend' => array(
						'showitem' => 'datetime, datetimeend, length',
						'canNotCollapse' => 1,
				),
				'documents_upload' => array(
						'showitem' => 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path, --linebreak--,' .
						'documents;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media.ALT.uploads_formlabel, documentscaption;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagecaption.ALT.uploads_formlabel;;nowrap, --linebreak--,',
						'canNotCollapse' => 1,
				),
				'filter' => array(
						'showitem' => ''
						. 'tx_org_caltype,tx_org_calcal,'
						,
						'canNotCollapse' => 1,
				),
				'location' => array(
						'showitem' => ''
						. 'tx_org_location;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_location,'
						. '--linebreak--,'
						. 'location;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.location,'
						. 'locationurl;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.locationurl,',
						'canNotCollapse' => 1,
				),
				'organiser' => array(
						'showitem' => ''
						. 'tx_org_headquarters;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_headquarters,'
						. '--linebreak--,'
						. 'organiser;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiser,'
						. 'organiserurl;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiserurl,',
						'canNotCollapse' => 1,
				),
				'price' => array(
						'showitem' => ''
						. 'tx_org_calentrance,price,tax,',
						'canNotCollapse' => 1,
				),
				'stockmanagement' => array(
						'showitem' => ''
						. 'stockmanagement;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockmanagement,'
						. 'stockquantity;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockquantity,'
						. 'stockprompt;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt,'
						,
						'canNotCollapse' => 1,
				),
				'paletteticket' => array(
						'showitem' => ''
						. 'urlticket;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.urlticket,'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
		'types' => array(
				'record' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.urlticket;paletteticket,'
// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media;documents_upload,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.appearance;documents_appearance,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_embedded,    embeddedcode,print,printcaption,printseo,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
						. ''
				),
				// Copy of record
				'notype' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '--palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media;documents_upload,'
						. '--palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.appearance;documents_appearance,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_embedded,    embeddedcode,print,printcaption,printseo,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
						. ''
				),
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				'page' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.typepage;typepage,'
						. '  title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
				'url' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.typeurl;typeurl,'
						. '  title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
				'tx_org_event' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_event,'
						. '  tx_org_event,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
//						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
				'tx_org_seminar' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org_seminar,'
						. '  tx_org_seminar,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
//						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media;documents_upload,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.appearance;documents_appearance,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_embedded,    embeddedcode,print,printcaption,printseo,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
						. ''
				),
		),
);

$image_1stforlistonly = true;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly );
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_news' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ]);
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;

