<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event',
				'label' => 'title',
				//'label_alt'         => 'tx_org_headquarters',
				//'label_alt_force'   => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => false,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_event.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_event' ),
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,title,subtitle,producer,length,bodytext,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'tx_org_cal,'
				// #t0773, 160720, dwildt, 1+
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Media()
				. 'tx_org_news,'
				// #t0773, 160720, dwildt, 1+
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				. '--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				. 'seo_keywords,seo_description'
				,
				// #69251, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_event' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page( ),
				'url' => \Netzmacher\Org\TCA\Columns::URL( ),
				'bodytext' => \Netzmacher\Org\TCA\Columns::Bodytext(),
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' =>  \Netzmacher\Org\TCA\Columns::SeoKeywords(),
				'subtitle' => \Netzmacher\Org\TCA\Columns::Subtitle(),
				'teaser_short' => \Netzmacher\Org\TCA\Columns::TeaserShort(),
				'teaser_short_for_singleview' => \Netzmacher\Org\TCA\Columns::TeaserShortForSingleview(),
				'teaser_subtitle' => \Netzmacher\Org\TCA\Columns::TeaserSubtitle(),
				'teaser_title' => \Netzmacher\Org\TCA\Columns::TeaserTitle(),
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'length' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.length',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'pages' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.pages',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '10',
								'maxitems' => '99',
								'minitems' => '0',
						),
				),
				'tx_org_cal' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_event', 'tx_org_cal', 'tx_org_cal.datetime DESC' ),
				'tx_org_eventcat' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_event', 'tx_org_eventcat' ),
				'tx_org_headquarters' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_event', 'tx_org_headquarters', 'tx_org_headquarters.mail_city, tx_org_headquarters.title' ),
				'tx_org_news' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_event', 'tx_org_news', 'tx_org_news.datetime DESC' ),
				'tx_org_staff' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_event', 'tx_org_staff' ),
		),
		'types' => array(
				'record' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_event,'
						. '  type,'
						. '  title,subtitle,producer,length,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_eventcat,'
						. '  tx_org_eventcat,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_tx_org_cal,'
						. '  tx_org_cal,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_event' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_seo,'
						. '  seo_keywords,seo_description'
				,
				),
				// Copy of record
				'notype' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_event,'
						. '  type,'
						. '  title,subtitle,producer,length,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_eventcat,'
						. '  tx_org_eventcat,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_tx_org_cal,'
						. '  tx_org_cal,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_event' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_seo,'
						. '  seo_keywords,seo_description'
				,
				),
				'page' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_event,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.palette_typepage;typepage,'
						. '  title,subtitle,producer,length,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_eventcat,'
						. '  tx_org_eventcat,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_tx_org_cal,'
						. '  tx_org_cal,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
				'url' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_event,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.palette_typeurl;typeurl,'
						. '  title,subtitle,producer,length,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_eventcat,'
						. '  tx_org_eventcat,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_tx_org_cal,'
						. '  tx_org_cal,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'topitem,pages,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
);

$image_1stforlistonly = true;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly);
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_event' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ]);
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;