<?php

use Netzmacher\Org\Backend\Extensionmanager;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarter',
				'label' => 'mail_city',
				'label_alt' => 'title',
				'label_alt_force' => true,
				'default_sortby' => 'ORDER BY mail_city, title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_headquarters' ),
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'title,uid_parent,tx_org_headquarterscat,'
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,mail_lat,mail_lon,mail_url,mail_embeddedcode,'
				. 'postbox_postbox,postbox_postcode,postbox_city,'
				. 'telephone,fax,email,'
				. 'teaser_title,teaser_short,'
				. 'marginal_title,marginal_short,'
//    . 'pubtrans_stop,pubtrans_url,pubtrans_embeddedcode,'
				// #t0773, 160720, dwildt, 1+
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Media()
				// #t0773, 160720, dwildt, 1+
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				. 'seo_keywords,seo_description'
				,
				// #69252, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_postcode',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => Extensionmanager::getProperty( 'geocodingEnabled' ),
						),
				),
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_headquarters' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page( ),
				'url' => \Netzmacher\Org\TCA\Columns::URL( ),
				'bodytext' => \Netzmacher\Org\TCA\Columns::Bodytext(),
				'marginal_short' => \Netzmacher\Org\TCA\Columns::MarginalShort(),
				'marginal_title' => \Netzmacher\Org\TCA\Columns::MarginalTitle(),
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' =>  \Netzmacher\Org\TCA\Columns::SeoKeywords(),
				'teaser_short' => \Netzmacher\Org\TCA\Columns::TeaserShort(),
				'teaser_title' => \Netzmacher\Org\TCA\Columns::TeaserTitle(),
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'uid_parent' => \Netzmacher\Org\TCA\Columns::UidParent(
								'tx_org_headquarters'
								, ''
								// #i0190, 170218, dwildt, 1+
								. 'AND tx_org_headquarters.pid=###CURRENT_PID### '
								. 'AND tx_org_headquarters.deleted = 0 '
								. 'AND tx_org_headquarters.hidden = 0 '
								. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
								. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title'
				),
				'tx_org_headquarterscat' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_headquarterscat',
						// #t0714, 160719, dwildt, ~
						'config' => Netzmacher\Org\TCA\Columns\Config::SelectTree(
										'tx_org_headquarters'
										, 'tx_org_headquarterscat'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_headquarterscat.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										//. 'AND tx_org_headquarterscat.pid=###CURRENT_PID### '
										. 'AND tx_org_headquarterscat.deleted = 0 '
										. 'AND tx_org_headquarterscat.hidden = 0 '
										. 'ORDER BY tx_org_headquarterscat.title'
						),
				),
				'mail_address' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_address',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'mail_street' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
				),
				'mail_postcode' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_postcode',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_city' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_city',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_country' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_country',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_lat' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_lat',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_lon' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_lon',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_url' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_url',
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'mail_embeddedcode' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_embeddedcode',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'geoupdateprompt' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.geoupdateprompt',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'geoupdateforbidden' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'postbox_postbox' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.postbox_postbox',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'postbox_postcode' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.postbox_postcode',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'postbox_city' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.postbox_city',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'manager' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.manager',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters.manager',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters.manager',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.name_last',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'telephone' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.telephone',
						'exclude' => 1,
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'fax' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.fax',
						'exclude' => 1,
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'email' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.email',
						'exclude' => 1,
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'tx_org_news' => array(
						'exclude' => 1,
						// #t1668, 171206, dwildt, 1-/3+
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_news',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_headquarters',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_headquarters'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_headquarters'
								),
								'foreign_table' => 'tx_org_news',
								'foreign_table_where' => 'AND tx_org_news.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY tx_org_news.datetime DESC, title',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'tx_org_service' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_service',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								'foreign_table' => 'tx_org_service',
								'foreign_table_where' => 'AND tx_org_service.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_service.deleted = 0 AND tx_org_service.hidden = 0 AND (tx_org_service.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_service.sys_language_uid = -1) ORDER BY tx_org_service.title',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'tx_org_staff' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_staff',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.name_last',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'tx_org_job' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_job',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_job'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_job'
								),
								'foreign_table' => 'tx_org_job',
								'foreign_table_where' => 'AND tx_org_job.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_job.deleted = 0 AND tx_org_job.hidden = 0 AND (tx_org_job.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_job.sys_language_uid = -1) ORDER BY tx_org_job.title',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'tx_org_cal' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_cal',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_cal.deleted = 0 AND tx_org_cal.hidden = 0 AND (tx_org_cal.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_cal.sys_language_uid = -1) ORDER BY tx_org_cal.datetime DESC',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'tx_org_location' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.tx_org_location',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_location'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_location'
								),
								'foreign_table' => 'tx_org_location',
								'foreign_table_where' => 'AND tx_org_location.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_location.deleted = 0 AND tx_org_location.hidden = 0 AND (tx_org_location.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_location.sys_language_uid = -1) ORDER BY tx_org_location.mail_city, tx_org_location.title',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'pages' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.pages',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '10',
								'maxitems' => '99',
								'minitems' => '0',
						),
				),
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'topitem,pages,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
//				'documents_appearance' => array(
//						'showitem' => 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel',
//						'canNotCollapse' => 1,
//				),
//				'documents_upload' => array(
//						'showitem' => 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path, --linebreak--,' .
//						'documents;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media.ALT.uploads_formlabel, documentscaption;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagecaption.ALT.uploads_formlabel;;nowrap, --linebreak--,',
//						'canNotCollapse' => 1,
//				),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_street,--linebreak--,'
						. 'mail_postcode;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_postcode,'
						. 'mail_city;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_city,--linebreak--,'
						. 'mail_country;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_lat,'
						. 'mail_lon;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.mail_lon,',
						'canNotCollapse' => 1,
				),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_headquarters, '
						. '  type,'
						. '  title,uid_parent,tx_org_headquarterscat,'
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '  postbox_postbox,postbox_postcode,postbox_city,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_contact,'
						. '  manager,telephone,fax,email,url,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_service,'
						. '  tx_org_service,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_job,'
						. '  tx_org_job,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_cal,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_location,'
						. '  tx_org_location,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_headquarters' )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_seo,'
						. '  seo_keywords,seo_description, description,'
				),
				'record' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_headquarters, '
						. '  type,'
						. '  title,uid_parent,tx_org_headquarterscat,'
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '  postbox_postbox,postbox_postcode,postbox_city,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_contact,'
						. '  manager,telephone,fax,email,url,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_service,'
						. '  tx_org_service,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_job,'
						. '  tx_org_job,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_cal,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_location,'
						. '  tx_org_location,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_headquarters' )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_seo,'
						. '  seo_keywords,seo_description, description,'
				),
				'page' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_headquarters, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typepage;typepage,'
						. '  title,uid_parent,tx_org_headquarterscat,'
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_contact,'
						. '  manager,telephone,fax,email,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_service,'
						. '  tx_org_service,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				),
				'url' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_headquarters, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typeurl;typeurl,'
						. '  title,uid_parent,tx_org_headquarterscat,'
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_contact,'
						. '  manager,telephone,fax,email,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_service,'
						. '  tx_org_service,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_headquarters.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				),
		),
);

$image_1stforlistonly = true;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly);
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_headquarters' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ]);
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
