<?php

use Netzmacher\Org\Backend\Extensionmanager;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job',
				'label' => 'title',
				'label_alt' => 'tx_org_headquarters',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
				),
				'dividers2tabs' => TRUE,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_job.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_job' ),
				'searchFields' => ''
				. 'title,reference_number,lengthoftime,short,description,specification,'
				. 'mail_street,mail_zip,mail_city,mail_country,geoupdateprompt,geoupdateforbidden,mail_lat,mail_lon,'
				. 'teaser_title,teaser_short,'
				. 'marginal_title,marginal_short,'
				. 'tx_org_headquarters,'
				. 'tx_org_jobcat,tx_org_jobsector,'
				// #t0773, 160720, dwildt, 1+
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				// #t0773, 160720, dwildt, 1+
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Media()
				. 'note,'
				. 'hidden,topitem,starttime,endtime,'
				,
				// #69253, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_zip',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => Extensionmanager::getProperty( 'geocodingEnabled' ),
						),
				),
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_job' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page( ),
				'url' => \Netzmacher\Org\TCA\Columns::URL( ),
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.title',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required',
						)
				),
				'reference_number' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.reference_number',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						)
				),
				'lengthoftime' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.lengthoftime',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						)
				),
				'quantity' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.quantity',
						'config' => array(
								'type' => 'input',
								'size' => '3',
								'eval' => 'required,integer',
								'default' => '1'
						)
				),
				'dateofentry' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.dateofentry',
						'config' => array(
								'type' => 'input',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'inputDateTime',
								'size' => '8',
								'eval' => 'date',
								'checkbox' => '0',
								'default' => mktime( date( 'H' ), date( 'i' ), 0, date( 'm' ), date( 'd' ), date( 'Y' ) ),
						)
				),
				'description' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.description',
						// ##t0717, dwildt, ~
						'config' => \Netzmacher\Org\TCA\Columns\Config::RTE(),
				),
				'specification' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.specification',
						// ##t0717, dwildt, ~
						'config' => \Netzmacher\Org\TCA\Columns\Config::RTE(),
				),
				'mail_address' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_address',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'mail_street' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
//      'external' => array(
//        0 => array(
//          'field' => 'bdfMapAddress',
//          'userFunc' => array(
//            'class' => 'EXT:org4loewengruppe/Resources/Private/Transformation/class.tx_org4loewengruppe_transformation.php:tx_org4loewengruppe_transformation',
//            'method' => 'mail_street'
//          )
//        )
//      ),
				),
				'mail_zip' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_zip',
						'config' => array(
								'type' => 'input',
								'size' => '20',
								'eval' => 'trim'
						),
				),
				'mail_city' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_city',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => 'trim'
						),
				),
				'mail_country' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_country',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_lat' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_lat',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_lon' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_lon',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'geoupdateprompt' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.geoupdateprompt',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'geoupdateforbidden' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'teaser_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.teaser_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'teaser_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.teaser_short',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'marginal_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.marginal_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'marginal_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.marginal_short',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'applicationaddress' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.applicationaddress',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'onlineapplication' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.onlineapplication',
						'config' => array(
								'type' => 'check'
						),
				),
				'applicationurl' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.applicationurl',
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'newsletter' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.newsletter',
						'config' => array(
								'type' => 'check',
								'default' => '1'
						)
				),
				'filterPrompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/Userfunc/TcaFilterPrompt/locallang.xlf:default.label',
						'config' => array(
								'type' => 'user',
								'userFunc' => 'Netzmacher\Org\Utility\UserFunc\TcaFilterPrompt->tx_org_job',
						),
				),
				'tx_org_jobcat' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.tx_org_jobcat',
						// #t0714, 160719, dwildt, ~
						'config' => Netzmacher\Org\TCA\Columns\Config::SelectTree(
										'tx_org_job'
										, 'tx_org_jobcat'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_jobcat.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										//. 'AND tx_org_jobcat.pid=###CURRENT_PID### '
										. 'AND tx_org_jobcat.deleted = 0 '
										. 'AND tx_org_jobcat.hidden = 0 '
										. 'ORDER BY tx_org_jobcat.title'
						),
				),
				'tx_org_jobsector' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.tx_org_jobsector',
						// #t0714, 160719, dwildt, ~
						'config' => Netzmacher\Org\TCA\Columns\Config::SelectTree(
										'tx_org_job'
										, 'tx_org_jobsector'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_jobsector.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										//. 'AND tx_org_jobsector.pid=###CURRENT_PID### '
										. 'AND tx_org_jobsector.deleted = 0 '
										. 'AND tx_org_jobsector.hidden = 0 '
										. 'ORDER BY tx_org_jobsector.title'
						),
				),
				'tx_org_jobworkinghours' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.tx_org_jobworkinghours',
						// #t0714, 160719, dwildt, ~
						'config' => Netzmacher\Org\TCA\Columns\Config::SelectTree(
										'tx_org_job'
										, 'tx_org_jobworkinghours'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_jobworkinghours.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										//. 'AND tx_org_jobworkinghours.pid=###CURRENT_PID### '
										. 'AND tx_org_jobworkinghours.deleted = 0 '
										. 'AND tx_org_jobworkinghours.hidden = 0 '
										. 'ORDER BY tx_org_jobworkinghours.title'
						),
				),
				'tx_org_headquarters' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.tx_org_headquarters',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => ''
								. 'AND tx_org_headquarters.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
								. 'AND tx_org_headquarters.deleted = 0 '
								. 'AND tx_org_headquarters.hidden = 0 '
								. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
								. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'maxitems' => 9999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_job',
								'MM_match_fields' => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_job'
								),
								'MM_insert_fields' => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_job'
								),
								'renderMode' => 'tree', // TYPO3 6.x
								'renderType' => 'selectTree', // TYPO3 7.x
								'size' => 10,
								'treeConfig' => array(
										'parentField' => 'uid_parent',
										'appearance' => array(
												'expandAll' => true,
												'showHeader' => true,
												'maxLevels' => 99,
										),
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
						),
				),
				'tx_org_staff' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.tx_org_staff',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								'MM_match_fields' => array(
										'table_local' => 'tx_org_job',
										'table_foreign' => 'tx_org_staff'
								),
								'MM_insert_fields' => array(
										'table_local' => 'tx_org_job',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' =>  \Netzmacher\Org\TCA\Columns::SeoKeywords(),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'topitem,hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
//    'documents_appearance' => array(
//      'showitem' => 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel',
//      'canNotCollapse' => 1,
//    ),
//    'documents_upload' => array(
//      'showitem' => 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path, --linebreak--,' .
//      'documents;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media.ALT.uploads_formlabel, documentscaption;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagecaption.ALT.uploads_formlabel;;nowrap, --linebreak--,',
//      'canNotCollapse' => 1,
//    ),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_street,--linebreak--,'
						. 'mail_zip;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_zip,'
						. 'mail_city;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_city,--linebreak--,'
						. 'mail_country;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_lat,'
						. 'mail_lon;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.mail_lon,',
						'canNotCollapse' => 1,
				),
				'reference_number' => array(
						'showitem' => ''
						. 'reference_number;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.reference_number,'
						. 'quantity;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.quantity,'
						. 'dateofentry;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.dateofentry'
						,
						'canNotCollapse' => 1,
				),
//    'title' => array(
//      'showitem' => ''
//      . 'title;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.title,'
//      . 'short;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.short',
//      'canNotCollapse' => 1,
//    ),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_job, '
						. '  type,'
						. '  title,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_reference_number;reference_number, '
						. '  lengthoftime,description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_categories,'
						. '  filterPrompt,'
						. '  tx_org_jobcat,tx_org_jobsector,tx_org_jobworkinghours,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_application,'
						. '  applicationaddress,onlineapplication,applicationurl,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_newsletter,'
						. '  newsletter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_staff,'
						. '  tx_org_staff,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_event' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'record' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_job, '
						. '  type,'
						. '  title,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_reference_number;reference_number, '
						. '  lengthoftime,description,specification,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_categories,'
						. '  filterPrompt,'
						. '  tx_org_jobcat,tx_org_jobsector,tx_org_jobworkinghours,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_application,'
						. '  applicationaddress,onlineapplication,applicationurl,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_newsletter,'
						. '  newsletter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_staff,'
						. '  tx_org_staff,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_event' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'page' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_job, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typepage;typepage,'
						. '  title,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_reference_number;reference_number, '
						. '  lengthoftime,description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_categories,'
						. '  filterPrompt,'
						. '  tx_org_jobcat,tx_org_jobsector,tx_org_jobworkinghours,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_newsletter,'
						. '  newsletter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_staff,'
						. '  tx_org_staff,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
				'url' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_job, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typeurl;typeurl,'
						. '  title,'
						. '  lengthoftime,description,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_reference_number;reference_number, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_categories,'
						. '  filterPrompt,'
						. '  tx_org_jobcat,tx_org_jobsector,tx_org_jobworkinghours,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_newsletter,'
						. '  newsletter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_staff,'
						. '  tx_org_staff,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_job.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
		),
);

$image_1stforlistonly = true;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly);
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_job' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ]);
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;