<?php

use Netzmacher\Org\Backend\Extensionmanager;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location',
				'label' => 'mail_city',
				'label_alt' => 'title',
				'label_alt_force' => true,
				'default_sortby' => 'ORDER BY mail_city, title',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				// #i0071, 150822, dwildt, 1-
				//'sortby' => 'sorting',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_location.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_location' ),
				'prependAtCopy' => 'LLL:EXT:lang/locallang_general.php:LGL.prependAtCopy',
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,title,tx_org_locationcat,url,'
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,mail_embeddedcode,'
				. 'nearest_bigger_city,'
				. 'geoupdateprompt,geoupdateforbidden,'
				. 'mail_lat,mail_lon,mail_url,mail_,'
				. 'telephone,ticket_telephone,ticket_url,fax,email,'
				. 'teaser_title,teaser_short,'
				. 'marginal_title,marginal_short,'
				. 'tx_org_cal,'
//    . 'pubtrans_stop,pubtrans_url,pubtrans_embeddedcode,citymap_url,citymap_embeddedcode,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Media()
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				. '--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				. 'seo_keywords,seo_description',
				'useColumnsForDefaultValues' => ''
				. 'title,type'
				,
				// #69254, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_postcode',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => Extensionmanager::getProperty( 'geocodingEnabled' ),
						),
				),
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_location' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page( ),
				'url' => \Netzmacher\Org\TCA\Columns::URL( ),
				'bodytext' => \Netzmacher\Org\TCA\Columns::Bodytext(),
				'marginal_short' => \Netzmacher\Org\TCA\Columns::MarginalShort(),
				'marginal_title' => \Netzmacher\Org\TCA\Columns::MarginalTitle(),
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' =>  \Netzmacher\Org\TCA\Columns::SeoKeywords(),
				'teaser_short' => \Netzmacher\Org\TCA\Columns::TeaserShort(),
				'teaser_title' => \Netzmacher\Org\TCA\Columns::TeaserTitle(),
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'tx_org_locationcat' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.tx_org_locationcat',
						// #t0714, 160719, dwildt, ~
						'config' => Netzmacher\Org\TCA\Columns\Config::SelectTree(
										'tx_org_location'
										, 'tx_org_locationcat'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_locationcat.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										//. 'AND tx_org_locationcat.pid=###CURRENT_PID### '
										. 'AND tx_org_locationcat.deleted = 0 '
										. 'AND tx_org_locationcat.hidden = 0 '
										. 'ORDER BY tx_org_locationcat.title'
						),
				),
				'mail_address' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_address',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'mail_street' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
				),
				'mail_postcode' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_postcode',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_city' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_city',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim,required'
						),
				),
				'mail_country' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_country',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_lat' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_lat',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_lon' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_lon',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_url' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_url',
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'mail_embeddedcode' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_embeddedcode',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'nearest_bigger_city' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.nearest_bigger_city',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'geoupdateprompt' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.geoupdateprompt',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'geoupdateforbidden' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'telephone' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.telephone',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'ticket_telephone' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.ticket_telephone',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'ticket_url' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.ticket_url',
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'fax' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.fax',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'email' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.email',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'tx_org_cal' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.tx_org_cal',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
//        'MM' => 'tx_org_cal_mm_tx_org_location',
								'MM_opposite_field' => 'tx_org_location',
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_location'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_location'
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_cal.deleted = 0 AND tx_org_cal.hidden = 0 AND (tx_org_cal.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_cal.sys_language_uid = -1) ORDER BY tx_org_cal.datetime DESC, title',
						),
				),
				'tx_org_headquarters' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.tx_org_headquarters',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => ''
								. 'AND tx_org_headquarters.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
								. 'AND tx_org_headquarters.deleted = 0 AND tx_org_headquarters.hidden = 0 '
								. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
								. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'maxitems' => 9999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_location',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_location'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_location'
								),
								'renderMode' => 'tree', // TYPO3 6.x
								'renderType' => 'selectTree', // TYPO3 7.x
								'size' => 10,
								'treeConfig' => array(
										'parentField' => 'uid_parent',
										'appearance' => array(
												'expandAll' => true,
												'showHeader' => true,
												'maxLevels' => 99,
										),
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
						),
				),
				'tx_org_staff' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.tx_org_staff',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_location',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_location',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'pubtrans_stop' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.pubtrans_stop',
						'config' => \Netzmacher\Org\TCA\Columns\Config::RTE(),
				),
				'pubtrans_url' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.pubtrans_url',
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'pubtrans_embeddedcode' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.pubtrans_embeddedcode',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'pages' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.pages',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '10',
								'maxitems' => '99',
								'minitems' => '0',
						),
				),
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'topitem,pages,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
//    'documents_appearance' => array(
//      'showitem' => 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel',
//      'canNotCollapse' => 1,
//    ),
//    'documents_upload' => array(
//      'showitem' => 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path, --linebreak--,' .
//      'documents;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media.ALT.uploads_formlabel, documentscaption;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagecaption.ALT.uploads_formlabel;;nowrap, --linebreak--,',
//      'canNotCollapse' => 1,
//    ),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_street,--linebreak--,'
						. 'mail_postcode;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_postcode,'
						. 'mail_city;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_city,--linebreak--,'
						. 'nearest_bigger_city,mail_country;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_lat,'
						. 'mail_lon;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.mail_lon,',
						'canNotCollapse' => 1,
				),
				'typerecord' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type,'
						. 'url;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:url'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_location, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typerecord;typerecord,'
						. '  title,tx_org_locationcat,'
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_contact,'
						. '  telephone,ticket_telephone,ticket_url,fax,email,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_tx_org_cal,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_pubtrans,'
						. '  pubtrans_stop,pubtrans_url,pubtrans_embeddedcode,citymap_url,citymap_embeddedcode,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_location' )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_seo,'
						. '  seo_keywords,seo_description, description,'
				,
				),
				'record' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_location, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typerecord;typerecord,'
						. '  title,tx_org_locationcat,'
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_contact,'
						. '  telephone,ticket_telephone,ticket_url,fax,email,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_tx_org_cal,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_pubtrans,'
						. '  pubtrans_stop,pubtrans_url,pubtrans_embeddedcode,citymap_url,citymap_embeddedcode,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_location' )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_seo,'
						. '  seo_keywords,seo_description, description,'
				,
				),
				'page' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_location, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typepage;typepage,'
						. '  title,tx_org_locationcat,'
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_tx_org_cal,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_staff,'
						. '  tx_org_staff,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
				'url' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_location, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typeurl;typeurl,'
						. '  title,tx_org_locationcat,'
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.palette_maillatlon;maillatlon, '
						. '  mail_url,mail_embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_tx_org_cal,'
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_staff,'
						. '  tx_org_staff,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
		),
);

$image_1stforlistonly = true;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly);
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_location' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ]);
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;