<?php

use Netzmacher\Org\Backend\Extensionmanager;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news',
				'label' => 'datetime',
				'label_alt' => 'title',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY datetime DESC, title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_news.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_news' ),
				'searchFields' => ''
				. 'sys_language_uid,'
				. 'type,title,subtitle,datetime,bodytext,author,'
				. 'tx_org_newscat,tx_org_newsgroup,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'page,url,'
				. 'sys_category,'
				. 'tx_org_headquarters,'
				. 'tx_org_seminar,'
				. 'tx_org_staff,'
				. 'topnews,newsletter,hidden,pages,starttime,endtime,fe_group,'
				. 'seo_keywords,seo_description,'
				,
				// #69248, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_news' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page(),
				'url' => \Netzmacher\Org\TCA\Columns::URL(),
				'author' => \Netzmacher\Org\TCA\Columns::Author(),
				'bodytext' => \Netzmacher\Org\TCA\Columns::Bodytext(),
				'marginal_short' => \Netzmacher\Org\TCA\Columns::MarginalShort(),
				'marginal_subtitle' => \Netzmacher\Org\TCA\Columns::MarginalSubtitle(),
				'marginal_title' => \Netzmacher\Org\TCA\Columns::MarginalTitle(),
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' => \Netzmacher\Org\TCA\Columns::SeoKeywords(),
				'subtitle' => \Netzmacher\Org\TCA\Columns::Subtitle(),
				'teaser_short' => \Netzmacher\Org\TCA\Columns::TeaserShort(),
				'teaser_short_for_singleview' => \Netzmacher\Org\TCA\Columns::TeaserShortForSingleview(),
				'teaser_subtitle' => \Netzmacher\Org\TCA\Columns::TeaserSubtitle(),
				'teaser_title' => \Netzmacher\Org\TCA\Columns::TeaserTitle(),
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'datetime' => array(
						'exclude' => 0,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.datetime',
						'config' => array(
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'size' => '10',
								'eval' => 'datetime,required',
						),
				),
				'archivedate' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.archivedate',
						'config' => array(
								'type' => 'input',
								'renderType' => 'inputDateTime',
								'size' => '10',
								'eval' => 'date',
						),
				),
				'sys_category' => [
						'exclude' => 1,
						'behaviour' => array(
								'allowLanguageSynchronization' => true,
						),
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.sys_category',
						'config' => [
								'type' => 'select',
								'renderType' => 'selectTree',
								'treeConfig' => [
										'parentField' => 'parent',
										'appearance' => [
												'showHeader' => true,
												'expandAll' => true,
												'maxLevels' => 99,
										],
								],
								'MM' => 'sys_category_record_mm',
								'MM_match_fields' => [
										'fieldname' => 'sys_category',
										'tablenames' => 'tx_org_news',
								],
								'MM_opposite_field' => 'items',
								'foreign_table' => 'sys_category',
								'foreign_table_where' => ' AND (sys_category.sys_language_uid = 0 OR sys_category.l10n_parent = 0) ORDER BY sys_category.sorting',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 99,
						]
				],
				'tx_org_newscat' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_news', 'tx_org_newscat' ),
				'tx_org_newsgroup' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_news', 'tx_org_newsgroup' ),
				'tx_org_headquarters' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_news', 'tx_org_headquarters', 'tx_org_headquarters.mail_city, tx_org_headquarters.title' ),
				'tx_org_seminar' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_seminar', 'tx_org_news', NULL, 'tx_org_news' ),
				'tx_org_staff' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_news', 'tx_org_staff' ),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'topnews' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'newsletter' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.newsletter',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'pages' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.pages',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '10',
								'maxitems' => '99',
								'minitems' => '0',
						),
				),
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'topnews,newsletter,hidden,--linebreak--,'
						. 'starttime,endtime,fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'datetime_author_archivedate' => array(
						'showitem' => 'datetime, author, archivedate',
						'canNotCollapse' => 1,
				),
				'filter' => array(
						'showitem' => ''
						. 'sys_category,tx_org_newscat,tx_org_newsgroup,'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_news,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.dateAuthor;datetime_author_archivedate,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '  author,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_teaser,'
						. '  teaser_title, teaser_subtitle, teaser_short, teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_marginal,'
						. '  marginal_title, marginal_subtitle, marginal_short,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_event' )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_tx_org_news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_control,'
						. '  sys_language_uid, l10n_parent, l10n_diffsource, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_seo,'
						. '  seo_keywords,seo_description, description,'
				,
				),
				'record' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_news,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.dateAuthor;datetime_author_archivedate,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_teaser,'
						. '  teaser_title, teaser_subtitle, teaser_short, teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_marginal,'
						. '  marginal_title, marginal_subtitle, marginal_short,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_event' )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_tx_org_news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org_seminar,'
						. '  tx_org_seminar,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_control,'
						. '  sys_language_uid, l10n_parent, l10n_diffsource,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_seo,'
						. '  seo_keywords,seo_description, description,'
				,
				),
				'page' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_news,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.palette_typepage;typepage,'
						. '  title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.dateAuthor;datetime_author_archivedate,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_teaser,'
						. '  teaser_title, teaser_subtitle, teaser_short, teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_marginal,   '
						. '  marginal_title, marginal_subtitle, marginal_short,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_company,    tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_control,    '
						. '  sys_language_uid, l10n_parent, l10n_diffsource, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
				'url' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_news,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.palette_typeurl;typeurl,'
						. '  title,subtitle,'
						// #t1668, 171205, dwildt, ~
						. '  bodytext' . \Netzmacher\Org\TCA\Palettes::RTE() . ','
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.dateAuthor;datetime_author_archivedate,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_teaser,'
						. '  teaser_title, teaser_subtitle, teaser_short, teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_marginal,   '
						. '  marginal_title, marginal_subtitle, marginal_short,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_company,    tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_control,'
						. '  sys_language_uid, l10n_parent, l10n_diffsource,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
		),
);

$image_1stforlistonly = true;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly );
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_news' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ] );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
