<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar',
				'label' => 'title',
//				'label_alt' => 'title',
//				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_seminar.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_seminar' ),
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'type,page,url,'
				. 'title,subtitle,bodytext,'
				. 'entrancefee,length,rating,recurrence,requirements,short,subject,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'seo_description,seo_keywords,'
				. 'tx_org_cal,'
// 180406, dwildt, 2-
//				. 'tx_org_headquarters,'
//				. 'tx_org_location,'
				. 'tx_org_news,'
				. 'tx_org_seminar_audience,'
				. 'tx_org_seminar_cat,'
				. 'tx_org_seminar_course,'
				. 'tx_org_seminar_degree,'
				. 'tx_org_seminar_focus,'
				. 'tx_org_seminar_riskcycle,'
				. 'tx_org_seminar_sector,'
				. 'tx_org_seminar_type,'
				. 'tx_org_staff,'
				. 'tx_org_tax,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Media()
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				. 'topnews,newsletter,hidden,pages,starttime,endtime,fe_group,'
				. 'seo_keywords,seo_description,'
		,
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_seminar' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page(),
				'url' => \Netzmacher\Org\TCA\Columns::URL(),
				'bodytext' => \Netzmacher\Org\TCA\Columns::Bodytext(),
				'marginal_short' => \Netzmacher\Org\TCA\Columns::MarginalShort(),
				'marginal_subtitle' => \Netzmacher\Org\TCA\Columns::MarginalSubtitle(),
				'marginal_title' => \Netzmacher\Org\TCA\Columns::MarginalTitle(),
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' => \Netzmacher\Org\TCA\Columns::SeoKeywords(),
				'subtitle' => \Netzmacher\Org\TCA\Columns::Subtitle(),
				'teaser_short' => \Netzmacher\Org\TCA\Columns::TeaserShort(),
				'teaser_short_for_singleview' => \Netzmacher\Org\TCA\Columns::TeaserShortForSingleview(),
				'teaser_subtitle' => \Netzmacher\Org\TCA\Columns::TeaserSubtitle(),
				'teaser_title' => \Netzmacher\Org\TCA\Columns::TeaserTitle(),
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'entrancefee' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.entrancefee',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'length' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.length',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'newsletter' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.newsletter',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'rating' => array(
						'exclude' => $bool_exclude_default,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.rating',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'recurrence' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.recurrence',
						'config' => array(
								'type' => 'input',
								'size' => '80',
								'eval' => 'trim'
						),
				),
				'requirements' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.requirements',
						'config' => \Netzmacher\Org\TCA\Columns\Config::RTE(),
				),
				'subject' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.subject',
						'config' => \Netzmacher\Org\TCA\Columns\Config::RTE(),
				),
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
				'tx_org_cal' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_seminar', 'tx_org_cal', 'tx_org_cal.datetime DESC' ),
// 180406, dwildt, 2-
//				'tx_org_headquarters' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_seminar', 'tx_org_headquarters', 'tx_org_headquarters.mail_city, tx_org_headquarters.title' ),
//				'tx_org_location' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySideOneItem( 'tx_org_seminar', 'tx_org_location', 'tx_org_location.mail_city, tx_org_location.title' ),
				'tx_org_news' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_seminar', 'tx_org_news', 'tx_org_news.datetime DESC' ),
				'tx_org_staff' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_seminar', 'tx_org_staff' ),
				'tx_org_seminar_audience' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_seminar', 'tx_org_seminar_audience' ),
				'tx_org_seminar_cat' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_seminar', 'tx_org_seminar_cat' ),
				'tx_org_seminar_course' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_seminar', 'tx_org_seminar_course' ),
				'tx_org_seminar_degree' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_seminar', 'tx_org_seminar_degree' ),
				'tx_org_seminar_focus' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_seminar', 'tx_org_seminar_focus' ),
				'tx_org_seminar_riskcycle' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_seminar', 'tx_org_seminar_riskcycle' ),
				'tx_org_seminar_sector' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_seminar', 'tx_org_seminar_sector' ),
				'tx_org_seminar_type' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_seminar', 'tx_org_seminar_type' ),
				'tx_org_tax' => \Netzmacher\Org\TCA\Columns::SelectSingle( 'tx_org_tax', 'tx_org_tax.value' ),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,topitem,newsletter,--linebreak--,'
						. 'starttime,endtime,fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'fee' => array(
						'showitem' => ''
						. 'entrancefee,tx_org_tax,'
						,
						'canNotCollapse' => 1,
				),
				'filter' => array(
						'showitem' => ''
						. 'tx_org_cal,--linebreak--,'
						. 'tx_org_news,tx_org_staff,--linebreak--,'
						. 'tx_org_seminar_audience,tx_org_seminar_cat,tx_org_seminar_course,tx_org_seminar_degree,--linebreak--,'
						. 'tx_org_seminar_focus,tx_org_seminar_riskcycle,tx_org_seminar_sector,tx_org_seminar_type,'
						,
						'canNotCollapse' => 1,
				),
				'timedata' => array(
						'showitem' => ''
						. 'tx_org_cal,--linebreak--,'
						. 'length,recurrence,'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
		'types' => array(
				'notype' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.div_seminar,'
						. '  type,'
						. '  title,'
						. '  subtitle,'
						. '  bodytext,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.div_calDetails,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.palette_timedata;timedata,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.palette_fee;fee,'
						. '  rating,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.requirementsSubject,'
						. '  requirements,'
						. '  subject,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_seminar' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.filter;filter,'
// 180406, dwildt, 3-
//						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.locationOrganiser,'
//						. '  tx_org_location,'
//						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.newsStaff,'
						. '  tx_org_news,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
				,
				),
				'record' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.div_seminar,'
						. '  type,'
						. '  title,'
						. '  subtitle,'
						. '  bodytext,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.div_calDetails,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.palette_timedata;timedata,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.palette_fee;fee,'
						. '  rating,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.requirementsSubject,'
						. '  requirements,'
						. '  subject,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_seminar' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.filter;filter,'
// 180406, dwildt, 3-
//						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.locationOrganiser,'
//						. '  tx_org_location,'
//						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.newsStaff,'
						. '  tx_org_news,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
				,
				),
				'page' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.div_seminar,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.typepage;typepage,'
						. '  title,'
						. '  subtitle,'
						. '  bodytext,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.div_calDetails,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.palette_timedata;timedata,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.palette_fee;fee,'
						. '  rating,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.requirementsSubject,'
						. '  requirements,'
						. '  subject,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_seminar' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.filter;filter,'
// 180406, dwildt, 3-
//						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.locationOrganiser,'
//						. '  tx_org_location,'
//						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.newsStaff,'
						. '  tx_org_news,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
				,
				),
				'url' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.div_seminar,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.typeurl;typeurl,'
						. '  title,'
						. '  subtitle,'
						. '  bodytext,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.div_calDetails,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.palette_timedata;timedata,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_seminar.xml:tx_org_seminar.palette_fee;fee,'
						. '  rating,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.requirementsSubject,'
						. '  requirements,'
						. '  subject,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_seminar' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.filter,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.filter;filter,'
// 180406, dwildt, 3-
//						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.locationOrganiser,'
//						. '  tx_org_location,'
//						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.newsStaff,'
						. '  tx_org_news,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:div.control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
				,
				),
		),
);

$image_1stforlistonly = true;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly );
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_seminar' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ]);
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;

