<?php

use Netzmacher\Org\Backend\Extensionmanager;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service',
				'label' => 'title',
				'label_alt' => 'tx_org_headquarters',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
				),
				'dividers2tabs' => TRUE,
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_service.svg',
				'thumbnail' => 'image',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_service' ),
				'searchFields' => ''
				. 'title,reference_number,,short,description,specification,'
				. 'mail_street,mail_zip,mail_city,mail_country,geoupdateprompt,geoupdateforbidden,mail_lat,mail_lon,'
				. 'teaser_title,teaser_short,'
				. 'marginal_title,marginal_short,'
				. 'tx_org_headquarters,'
				. 'tx_org_servicecat,tx_org_servicesector,'
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Media()
				. 'note,'
				. 'hidden,topitem,starttime,endtime,'
				,
				// #69255, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_zip',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => Extensionmanager::getProperty( 'geocodingEnabled' ),
						),
				),
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_service' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page( ),
				'url' => \Netzmacher\Org\TCA\Columns::URL( ),
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.title',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required',
						)
				),
				'reference_number' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.reference_number',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						)
				),
				'description' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.description',
						// ##t0717, dwildt, ~
						'config' => \Netzmacher\Org\TCA\Columns\Config::RTE(),
				),
				'mail_address' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_address',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'mail_street' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
				),
				'mail_zip' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_zip',
						'config' => array(
								'type' => 'input',
								'size' => '20',
								'eval' => 'trim'
						),
				),
				'mail_city' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_city',
						'config' => array(
								'type' => 'input',
								'size' => '40',
								'eval' => 'trim'
						),
				),
				'mail_country' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_country',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_lat' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_lat',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_lon' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_lon',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'geoupdateprompt' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.geoupdateprompt',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'geoupdateforbidden' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'teaser_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.teaser_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'teaser_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.teaser_short',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'marginal_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.marginal_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'marginal_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.marginal_short',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'tx_org_servicecat' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_servicecat',
						// #t0714, 160719, dwildt, ~
						'config' => Netzmacher\Org\TCA\Columns\Config::SelectTree(
										'tx_org_service'
										, 'tx_org_servicecat'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_servicecat.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										//. 'AND tx_org_servicecat.pid=###CURRENT_PID### '
										. 'AND tx_org_servicecat.deleted = 0 '
										. 'AND tx_org_servicecat.hidden = 0 '
										. 'ORDER BY tx_org_servicecat.title'
						),
				),
				'tx_org_servicesector' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_servicesector',
						// #t0714, 160719, dwildt, ~
						'config' => Netzmacher\Org\TCA\Columns\Config::SelectTree(
										'tx_org_service'
										, 'tx_org_servicesector'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_servicesector.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										//. 'AND tx_org_servicesector.pid=###CURRENT_PID### '
										. 'AND tx_org_servicesector.deleted = 0 '
										. 'AND tx_org_servicesector.hidden = 0 '
										. 'ORDER BY tx_org_servicesector.title'
						),
				),
				'tx_org_servicetargetgroup' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_servicetargetgroup',
						// #t0714, 160719, dwildt, ~
						'config' => Netzmacher\Org\TCA\Columns\Config::SelectTree(
										'tx_org_service'
										, 'tx_org_servicetargetgroup'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_servicetargetgroup.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										//. 'AND tx_org_servicetargetgroup.pid=###CURRENT_PID### '
										. 'AND tx_org_servicetargetgroup.deleted = 0 '
										. 'AND tx_org_servicetargetgroup.hidden = 0 '
										. 'ORDER BY tx_org_servicetargetgroup.title'
						),
				),
				'tx_org_headquarters' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_headquarters',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => ''
								. 'AND tx_org_headquarters.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
								. 'AND tx_org_headquarters.deleted = 0 '
								. 'AND tx_org_headquarters.hidden = 0 '
								. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
								. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'maxitems' => 9999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_service',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_service'
								),
								'renderMode' => 'tree', // TYPO3 6.x
								'renderType' => 'selectTree', // TYPO3 7.x
								'size' => 10,
								'treeConfig' => array(
										'parentField' => 'uid_parent',
										'appearance' => array(
												'expandAll' => true,
												'showHeader' => true,
												'maxLevels' => 99,
										),
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
						),
				),
				'tx_org_staff' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.tx_org_staff',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . Netzmacher\Org\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
						// 'selectedListStyle' => $listStyleWidth, // 180321, dwildt, 1-
						// 'itemListStyle' => $listStyleWidth, // 180321,. dwildt, 1-
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' =>  \Netzmacher\Org\TCA\Columns::SeoKeywords(),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'topitem,hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
//    'documents_appearance' => array(
//      'showitem' => 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel',
//      'canNotCollapse' => 1,
//    ),
//    'documents_upload' => array(
//      'showitem' => 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path, --linebreak--,' .
//      'documents;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media.ALT.uploads_formlabel, documentscaption;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagecaption.ALT.uploads_formlabel;;nowrap, --linebreak--,',
//      'canNotCollapse' => 1,
//    ),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_street,--linebreak--,'
						. 'mail_zip;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_zip,'
						. 'mail_city;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_city,--linebreak--,'
						. 'mail_country;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_lat,'
						. 'mail_lon;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.mail_lon,',
						'canNotCollapse' => 1,
				),
				'title' => array(
						'showitem' => ''
						. 'title;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.title,'
						. 'reference_number;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.reference_number'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_service, '
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_title;title, '
						. '  description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_categories,'
						. '  tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_staff,'
						. '  tx_org_staff,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_service' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'record' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_service, '
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_title;title, '
						. '  description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_categories,'
						. '  tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_marginal,'
						. '  marginal_title,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_staff,'
						. '  tx_org_staff,'
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. \Netzmacher\Org\TCA\Types::Media( 'tx_org_service' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'page' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_service, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typepage;typepage,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_title;title, '
						. '  description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_categories,'
						. '  tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_staff,'
						. '  tx_org_staff,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
				'url' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_service, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typeurl;typeurl,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_title;title, '
						. '  description,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_teaser,'
						. '  teaser_title,teaser_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_categories,'
						. '  tx_org_servicecat,tx_org_servicesector,tx_org_servicetargetgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_staff,'
						. '  tx_org_staff,'
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_service.xml:tx_org_service.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
		),
);

$image_1stforlistonly = true;
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly);
$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::MediaColumns( $TCA[ 'columns' ], 'tx_org_service' );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ]);
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Media( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;