<?php

use Netzmacher\Org\Backend\Extensionmanager;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff',
				'label' => 'name_last',
				'label_alt' => 'name_first,title,tx_org_headquarters',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY name_last, name_first, title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
				),
				'dividers2tabs' => TRUE,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_staff.svg',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\Org\TCA\Ctrl\Icons::TypeIconClasses( 'tx_org_staff' ),
				'searchFields' => ''
				. 'type,page,url,'
				. 'title,'
				. 'name_first,name_last,birthday,gender,'
				. 'bodytext,cols,vita,pi_flexform,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
				// #t0773, 160720, dwildt, 1+
				. \Netzmacher\Org\TCA\Ctrl\Searchfields::Image()
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,'
				. 'nearest_bigger_city,'
				. 'geoupdateprompt,geoupdateforbidden,'
				. 'mail_lat,mail_lon,mail_url,mail_,'
				. 'tx_org_cal,'
				. 'tx_org_downloads,'
				. 'tx_org_event,'
				. 'tx_org_headquarters,department'
				. 'tx_org_job,'
				. 'tx_org_news,'
				. 'tx_org_location,'
				. 'tx_org_service,'
				. 'tx_org_staffcandidate,'
				. 'tx_org_stafffieldofactivity,'
				. 'tx_org_staffgroup,'
				. 'tx_org_staffrole,'
				. 'hidden,topitem,starttime,endtime,'
				,
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_postcode',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => Extensionmanager::getProperty( 'geocodingEnabled' ),
						),
				),
		),
		'columns' => array(
				'sys_language_uid' => \Netzmacher\Org\TCA\Columns::SysLanguageUid(),
				'type' => \Netzmacher\Org\TCA\Columns::Type( 'tx_org_staff' ),
				'page' => \Netzmacher\Org\TCA\Columns::Page( ),
				'url' => \Netzmacher\Org\TCA\Columns::URL( ),
				'bodytext' => \Netzmacher\Org\TCA\Columns::Bodytext(),
				'marginal_short' => \Netzmacher\Org\TCA\Columns::MarginalShort(),
				'marginal_subtitle' => \Netzmacher\Org\TCA\Columns::MarginalSubtitle(),
				'marginal_title' => \Netzmacher\Org\TCA\Columns::MarginalTitle(),
				'seo_description' => \Netzmacher\Org\TCA\Columns::SeoDescription(),
				'seo_keywords' =>  \Netzmacher\Org\TCA\Columns::SeoKeywords(),
				'title' => \Netzmacher\Org\TCA\Columns::Title(),
				'contact_email' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_email',
						'exclude' => 1,
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'contact_fax' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_fax',
						'exclude' => 1,
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'contact_phone' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_phone',
						'exclude' => 1,
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'contact_mobile' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_mobile',
						'exclude' => 1,
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'contact_skype' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_skype',
						'exclude' => 1,
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'contact_url' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:url',
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'geoupdateprompt' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.geoupdateprompt',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'geoupdateforbidden' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'mail_address' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_address',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'mail_street' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
				),
				'mail_postcode' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_postcode',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_city' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_city',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_country' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_country',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_lat' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_lat',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_lon' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_lon',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_url' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_url',
						'config' => \Netzmacher\Org\TCA\Columns\Wizards::Url(),
				),
				'nearest_bigger_city' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.nearest_bigger_city',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'prefix' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.prefix',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'name_first' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.name_first',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required,trim',
						)
				),
				'name_last' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.name_last',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required,trim',
						)
				),
				'birthday' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.birthday',
						'config' => array(
								'type' => 'input',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'inputDateTime',
								'size' => '8',
								'eval' => 'date',
								'checkbox' => '0',
								'default' => '0',
						)
				),
				'gender' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'items' => array(
										'unknown' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender_unknown',
												'1' => '',
										),
										'male' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender_male',
												'1' => 'male',
										),
										'female' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender_female',
												'1' => 'female',
										),
								),
								'default' => '',
						),
				),
				'vita' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.vita',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
								'wizards' => array(
										'_PADDING' => 2,
										'table' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'bodytext' ][ 'config' ][ 'wizards' ][ 'table' ],
								),
						)
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_cruser_id' => \Netzmacher\Org\TCA\Columns::FeCrUserId(),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
				'topitem' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'tx_org_cal' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_cal', 'tx_org_staff', 'tx_org_cal.datetime DESC', 'tx_org_staff' ),
				'tx_org_downloads' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_downloads', 'tx_org_staff', 'tx_org_downloads.title', 'tx_org_staff' ),
				'tx_org_event' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_event', 'tx_org_staff', 'tx_org_event.title', 'tx_org_staff' ),
				'tx_org_headquarters' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_staff', 'tx_org_headquarters', 'tx_org_headquarters.mail_city, tx_org_headquarters.title' ),
				'tx_org_job' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_job', 'tx_org_staff', 'tx_org_job.title', 'tx_org_staff' ),
				'tx_org_news' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_news', 'tx_org_staff', 'tx_org_news.datetime DESC, tx_org_news.title', 'tx_org_staff' ),
				'tx_org_location' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_location', 'tx_org_staff', 'tx_org_location.mail_city, tx_org_location.title', 'tx_org_location' ),
				'tx_org_service' => \Netzmacher\Org\TCA\Columns::SelectMultipleSideBySide( 'tx_org_service', 'tx_org_staff', 'tx_org_service.title', 'tx_org_service' ),
				'tx_org_staffcandidate' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_staff', 'tx_org_staffcandidate' ),
				'tx_org_stafffieldofactivity' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_staff', 'tx_org_stafffieldofactivity' ),
				'tx_org_staffgroup' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_staff', 'tx_org_staffgroup' ),
				'tx_org_staffrole' => \Netzmacher\Org\TCA\Columns::SelectCheckBox( 'tx_org_staff', 'tx_org_staffrole' ),
		),
		'palettes' => array(
				'birthday' => array(
						'showitem' => ''
						. 'birthday;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.birthday,'
						. 'gender;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender'
						,
						'canNotCollapse' => 1,
				),
				'control' => array(
						'showitem' => ''
						. 'topitem,hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'categories' => array(
						'showitem' => ''
						. 'tx_org_stafffieldofactivity,tx_org_staffgroup,--linebreak--,'
						. 'tx_org_staffrole,tx_org_staffcandidate,--linebreak--,'
				),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_street,--linebreak--,'
						. 'mail_postcode;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_postcode,'
						. 'mail_city;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_city,--linebreak--,'
						. 'nearest_bigger_city,mail_country;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_lat,'
						. 'mail_lon;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.mail_lon,',
						'canNotCollapse' => 1,
				),
				'name' => array(
						'showitem' => ''
						. 'title;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.title, --linebreak--,'
						. 'prefix;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.prefix,'
						. 'name_first;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.name_first,'
						. 'name_last;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.name_last'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => \Netzmacher\Org\TCA\Palettes::TypePage(),
				'typeurl' => \Netzmacher\Org\TCA\Palettes::TypeUrl(),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// notype is a copy of record
				'notype' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_particulars, '
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_name;name,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_birthday;birthday,'
						. '  bodytext,vita,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_group, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_categories;categories,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_contact, '
						. '  contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_maillatlon;maillatlon, '
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_cal, '
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '  tx_org_downloads,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_company, '
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_job, '
						. '  tx_org_job,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_service, '
						. '  tx_org_service,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_news, '
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_event, '
						. '  tx_org_event,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_location, '
						. '  tx_org_location,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'record' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_particulars, '
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_name;name,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_birthday;birthday,'
						. '  bodytext,vita,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_group, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_categories;categories,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_contact, '
						. '  contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_maillatlon;maillatlon, '
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_cal, '
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '  tx_org_downloads,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_company, '
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_job, '
						. '  tx_org_job,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_service, '
						. '  tx_org_service,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_news, '
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_event, '
						. '  tx_org_event,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_location, '
						. '  tx_org_location,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'page' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_particulars, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typepage;typepage,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_name;name,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_birthday;birthday,'
						. '  bodytext,vita,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_group, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_categories;categories,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_contact, '
						. '  contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_maillatlon;maillatlon, '
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_cal, '
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_company, '
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
				'url' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_particulars, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typeurl;typeurl,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_name;name,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_birthday;birthday,'
						. '  bodytext,vita,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_group, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_categories;categories,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_contact, '
						. '  contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_mail, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_maillatlon;maillatlon, '
						// #t0773, 160720, dwildt, 1+
						. \Netzmacher\Org\TCA\Types::Image( 'big' )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_cal, '
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_company, '
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
		),
);

$TCA[ 'columns' ] = \Netzmacher\Org\TCA\Columns::ImageColumns( $TCA[ 'columns' ], $image_1stforlistonly );
$TCA[ 'palettes' ] = \Netzmacher\Org\TCA\Palettes::Image( $TCA[ 'palettes' ] );

// Enable or disable the localisation
//$TCA = \Netzmacher\Org\TCA\Localisation::Replace( $TCA );

return $TCA;
