temp.tx_org_cal {
    // list
  dateline = 
  dateline {
      // 10: without a period, 20: with a period
    list = COA
    list {
        // if isTrue $plugin.org.templates.cal.dateline.list (it is: {$plugin.org.templates.cal.dateline.list})
      if =
      if {
        isTrue = {$plugin.org.templates.cal.dateline.list}
      }
        // without a period
      10 = TEXT
      10 {
          // if tx_org_cal.datetimeend isn't greater than tx_org_cal.datetime
        if =
        if {
          value {
            field = tx_org_cal.datetime
          }
          isGreaterThan {
            field = tx_org_cal.datetimeend
          }
          negate = 1
        }
        field = tx_org_cal.datetime
        strftime {
          stdWrap {
            cObject = TEXT
            cObject {
              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.datetime.list
            }
          }
        }
      }
        // with a period
      20 = COA
      20 {
          // if tx_org_cal.datetimeend is greater than tx_org_cal.datetime
        if =
        if {
          value {
            field = tx_org_cal.datetime
          }
          isGreaterThan {
            field = tx_org_cal.datetimeend
          }
        }
          // date equals dateend 
        10 = COA
        10 {
            // if date equals dateend 
          if =
          if {
            value {
              field = tx_org_cal.datetime
              strftime = %Y%m%d
            }
            equals {
              field = tx_org_cal.datetimeend
              strftime = %Y%m%d
            }
          }
          10 = TEXT
          10 {
            field = tx_org_cal.datetime
            strftime {
              stdWrap {
                cObject = TEXT
                cObject {
                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.date.list
                }
              }
            }
            noTrimWrap = || |
          }
          20 = COA
          20 {
              // from
            10 = TEXT
            10 {
              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.from.list
              noTrimWrap = || |
              required = 1
            }
            20 = TEXT
            20 {
              field = tx_org_cal.datetime
              strftime {
                stdWrap {
                  cObject = TEXT
                  cObject {
                    data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.time.list
                  }
                }
              }
              noTrimWrap = || |
              required = 1
            }
            30 = TEXT
            30 {
              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.to.list
              noTrimWrap = || |
              required = 1
            }
            40 = TEXT
            40 {
              field = tx_org_cal.datetimeend
              strftime {
                stdWrap {
                  cObject = TEXT
                  cObject {
                    data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.time.list
                  }
                }
              }
            }
            wrap = (|)
          }
        }
          // date doesn't equal dateend 
        20 = COA
        20 {
            // if date doesn't equal dateend 
          if =
          if {
            value {
              field = tx_org_cal.datetime
              strftime = %Y%m%d
            }
            equals {
              field = tx_org_cal.datetimeend
              strftime = %Y%m%d
            }
            negate = 1
          }
          20 = TEXT
          20 {
            field = tx_org_cal.datetime
            strftime {
              stdWrap {
                cObject = TEXT
                cObject {
                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.date.list
                }
              }
            }
            noTrimWrap = || |
            required = 1
          }
          30 = TEXT
          30 {
            data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.to.list
            noTrimWrap = || |
            required = 1
          }
          40 = TEXT
          40 {
            field = tx_org_cal.datetimeend
            strftime {
              stdWrap {
                cObject = TEXT
                cObject {
                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.date.list
                }
              }
            }
          }
        }
      }
    }
  }
    // list
  length = 
  length {
      // tx_org_cal.length
    list = TEXT
    list {
        // if isTrue $plugin.org.templates.cal.length.list (it is: {$plugin.org.templates.cal.length.list})
      if =
      if {
        isTrue = {$plugin.org.templates.cal.length.list}
      }
      field = tx_org_cal.length
      required = 1
      wrap = <span class="length callength">|<span>
    }
  }
}

temp.tx_org_cal {
    // list
  datelineAndLength = 
  datelineAndLength {
    list = COA
    list {
        // if isTrue $plugin.org.templates.cal.dateline.list or $plugin.org.templates.cal.length.list (it is: {$plugin.org.templates.cal.dateline.list} or {$plugin.org.templates.cal.length.list})
      if =
      if {
        isTrue = 
				isTrue {
					cObject = COA
					cObject {
							// 1, if.isTrue = {$plugin.org.templates.cal.dateline.list}
						10 = TEXT
						10 {
							value = 1
							if =
							if {
								isTrue = {$plugin.org.templates.cal.dateline.list}
							}
						}
							// 1, if.isTrue = {$plugin.org.templates.cal.length.list}
						20 = TEXT
						20 {
							value = 1
							if =
							if {
								isTrue = {$plugin.org.templates.cal.length.list}
							}
						}
					}
				}
      }
      10 < temp.tx_org_cal.dateline.list
      10 {
        wrap = <span class="dateline caldateline">|<span>
      }
      20 = COA
      20 {
        if =
        if {
          isTrue {
            field = tx_org_cal.length
          }
        }
        20 = TEXT
        20 {
            // if isTrue $plugin.org.templates.cal.dateline.list (it is: {$plugin.org.templates.cal.dateline.list})
          if =
          if {
            isTrue = {$plugin.org.templates.cal.dateline.list}
          }
          value = |
          noTrimWrap = | | |
        }
        30 < temp.tx_org_cal.length.list
      }
      wrap = <br />|<br />
    }
  }
}
