temp.tx_org_cal {
    // single
  dateline = COA
  dateline {
      // 10: without a period, 20: with a period
    single = COA
    single {
        // if isTrue $plugin.org.templates.cal.dateline.single (it is: {$plugin.org.templates.cal.dateline.single})
      if =
      if {
        isTrue = {$plugin.org.templates.cal.dateline.single}
      }
        // without a period
      10 = TEXT
      10 {
          // if tx_org_cal.datetimeend isn't greater than tx_org_cal.datetime
        if =
        if {
          value {
            field = tx_org_cal.datetime
          }
          isGreaterThan {
            field = tx_org_cal.datetimeend
          }
          negate = 1
        }
        field = tx_org_cal.datetime
        strftime {
          stdWrap {
            cObject = TEXT
            cObject {
              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.datetime.single
            }
          }
        }
      }
        // with a period
      20 = COA
      20 {
          // if tx_org_cal.datetimeend is greater than tx_org_cal.datetime
        if =
        if {
          value {
            field = tx_org_cal.datetime
          }
          isGreaterThan {
            field = tx_org_cal.datetimeend
          }
        }
          // date equals dateend 
        10 = COA
        10 {
            // if date equals dateend 
          if =
          if {
            value {
              field = tx_org_cal.datetime
              strftime = %Y%m%d
            }
            equals {
              field = tx_org_cal.datetimeend
              strftime = %Y%m%d
            }
          }
          10 = TEXT
          10 {
            field = tx_org_cal.datetime
            strftime {
              stdWrap {
                cObject = TEXT
                cObject {
                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.date.single
                }
              }
            }
            noTrimWrap = || |
            required = 1
          }
          20 = COA
          20 {
              // from
            10 = TEXT
            10 {
              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.from.single
              noTrimWrap = || |
              required = 1
            }
            20 = TEXT
            20 {
              field = tx_org_cal.datetime
              strftime {
                stdWrap {
                  cObject = TEXT
                  cObject {
                    data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.time.single
                  }
                }
              }
              noTrimWrap = || |
              required = 1
            }
            30 = TEXT
            30 {
              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.to.single
              noTrimWrap = || |
              required = 1
            }
            40 = TEXT
            40 {
              field = tx_org_cal.datetimeend
              strftime {
                stdWrap {
                  cObject = TEXT
                  cObject {
                    data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.time.single
                  }
                }
              }
            }
            wrap = (|)
          }
        }
          // date doesn't equal dateend 
        20 = COA
        20 {
            // if date doesn't equal dateend 
          if =
          if {
            value {
              field = tx_org_cal.datetime
              strftime = %Y%m%d
            }
            equals {
              field = tx_org_cal.datetimeend
              strftime = %Y%m%d
            }
            negate = 1
          }
            // tx_org_cal.datetime
          20 = TEXT
          20 {
            field = tx_org_cal.datetime
            strftime {
              stdWrap {
                cObject = TEXT
                cObject {
                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.date.single
                }
              }
            }
            noTrimWrap = || |
            required = 1
          }
            // to
          30 = TEXT
          30 {
            data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.to.single
            noTrimWrap = || |
            required = 1
          }
            // tx_org_cal.datetimeend
          40 = TEXT
          40 {
            field = tx_org_cal.datetimeend
            strftime {
              stdWrap {
                cObject = TEXT
                cObject {
                  data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.strftime.date.single
                }
              }
            }
            required = 1
          }
        }
      }
    }
  }
    // single
  length = 
  length {
      // tx_org_cal.length
    single = TEXT
    single {
        // if isTrue $plugin.org.templates.cal.length.single (it is: {$plugin.org.templates.cal.length.single})
      if =
      if {
        isTrue = {$plugin.org.templates.cal.length.single}
      }
      field = tx_org_cal.length
      required = 1
      wrap = <span class="length callength">|<span>
    }
  }
}

temp.tx_org_cal {
    // single
  datelineAndLength = 
  datelineAndLength {
    single = COA
    single {
        // if isTrue $plugin.org.templates.cal.dateline.single or $plugin.org.templates.cal.length.single (it is: {$plugin.org.templates.cal.dateline.single} or {$plugin.org.templates.cal.length.single})
      if =
      if {
        isTrue = 
				isTrue {
					cObject = COA
					cObject {
							// 1, if.isTrue = {$plugin.org.templates.cal.dateline.single}
						10 = TEXT
						10 {
							value = 1
							if =
							if {
								isTrue = {$plugin.org.templates.cal.dateline.single}
							}
						}
							// 1, if.isTrue = {$plugin.org.templates.cal.length.single}
						20 = TEXT
						20 {
							value = 1
							if =
							if {
								isTrue = {$plugin.org.templates.cal.length.single}
							}
						}
					}
				}
      }
        // dateline
      10 < temp.tx_org_cal.dateline.single
      10 {
        wrap = <span class="dateline caldateline">|<span>
      }
        // length
      20 = COA
      20 {
          // if isTrue tx_org_cal.length
        if =
        if {
          isTrue {
            field = tx_org_cal.length
          }
        }
          // devider
        20 = TEXT
        20 {
            // if isTrue $plugin.org.templates.cal.dateline.single (it is: {$plugin.org.templates.cal.dateline.single})
          if =
          if {
            isTrue = {$plugin.org.templates.cal.dateline.single}
          }
          value = |
          noTrimWrap = | | |
        }
          // length
        30 < temp.tx_org_cal.length.single
      }
      wrap = <p class="dateline caldateline">|</p>
    }
  }
}
