plugin.tx_browser_pi1 {
  views {
    list {
      220 {
        tx_org_cal {
            // dateline, title
          title = COA
          title {
							// tx_org_cal__uid
						9 = LOAD_REGISTER
						9 {
							tx_org_cal__uid {
								cObject = TEXT
								cObject {
									field = tx_org_cal__uid // uid
								}
							}
						}
							// first row
						10 = COA
						10 {
								// dateline, location
							10 = COA
							10 {
									// dateline
								10 = TEXT
								10 {
									field     = tx_org_cal.datetime // datetime
									strftime  = %d. %b, %H:%M
									postCObject = TEXT
									postCObject {
										value = h
										lang {
											de = Uhr
											en = h
										}
										noTrimWrap = | ||
									}
									wrap = <tr><td>|</td></tr>
								}
									// location: title, mail_city
								20 = CONTENT
								20 {
									table = tx_org_location
									select {
										pidInList = {$plugin.org.sysfolder.location}
										recursive = {$plugin.org.sysfolder.location.recursive}
										join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_location.uid
										where = 
										where {
											stdWrap {
												cObject = COA
												cObject {
													10 = TEXT
													10 {
														value = 1
													}
													20 = TEXT
													20 {
														data        = register:tx_org_cal__uid
														intval      = 1
														noTrimWrap  = | AND tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_foreign = 'tx_org_location' AND tx_org_mm_all.table_local = 'tx_org_cal'|
													}
												}
											}
										}
									}
										// title, mail_city
									renderObj = COA
									renderObj {
											// title
										10 = TEXT
										10 {
											field       = title
											required    = 1
											crop        = 30
											wrap				= <tr><td>|</td></tr>
										}
											// mail_city
										20 = TEXT
										20 {
											field       = mail_city
											required    = 1
											crop        = 30
											wrap				= <tr><td>|</td></tr>
										}
									}
								}
								wrap (

									<td class="small-12 large-4 {$plugin.org.foundation.grid.class.cell} first">
										<table>
											|
										</table>
									</td>
)
							}
							20 = COA
							20 {
									// teaser_title or title
								10 = CASE
								10 {
									key {
										field = tx_org_cal.type // type
									}
									default = TEXT
									default {
										field = tx_org_cal.marginal_title // marginal_title // tx_org_cal.teaser_title // teaser_title // tx_org_cal.title // title
										stdWrap {
											stripHtml         = 1
											htmlSpecialChars  = 0
											crop              = 40|...|1
										}
										typolink {
												// url, target, class, title
											parameter{
												cObject = COA
												cObject {
														// url
													10 = COA
													10 {
														10 = TEXT
														10 {
															if {
																isTrue = {$plugin.org.pages.calendar}
															}
															value = {$plugin.org.pages.calendar}
														}
														20 = TEXT
														20 {
															if {
																isFalse = {$plugin.org.pages.calendar}
															}
															data = page:uid
														}
													}
														// target
													20 = TEXT
													20 {
														value       = _blank
														noTrimWrap  = | ||
													}
														// class
													30 = TEXT
													30 {
														value       = linktorecord
														noTrimWrap  = | "|"|
													}
														// title
													40 = TEXT
													40 {
														field = tx_org_cal.marginal_title // marginal_title // tx_org_cal.teaser_title // teaser_title // tx_org_cal.title // title
														stdWrap {
															stripHtml         = 1
															htmlSpecialChars  = 1
															crop              = 40|...|1
														}
														noTrimWrap  = | "|"|
													}
												}
											}
											additionalParams {
												wrap	= {$plugin.org.newsletter.tx_org_cal.additionalParams}=|
												//wrap  = &tx_browser_pi1[{$plugin.tx_browser_pi1.templates.listview.url.5.showUid}]=|
												field = tx_org_cal.uid // uid
											}
											extTarget	= _blank
											forceAbsoluteUrl = 1
											XXXforceAbsoluteUrl {
												scheme = {$plugin.tx_browser_pi1.templates.listview.url.5.forceAbsoluteUrlScheme}
											}
											useCacheHash	= 1
											XXXreturnLast		= 
										}
										required = 1
										wrap = <span class="header">|</span>
										postCObject = TEXT
										postCObject {
											value = &raquo;
											noTrimWrap = | ||
										}
									}
									notype < .default
									notype {
										typolink >
										postCObject >
									}
									page < .default
									page {
										typolink {
												// url, target, class, title
											parameter.cObject {
												10 >
												10 = TEXT
												10 {
													field = tx_org_cal.page // page
												}
												30 {
													value = linktopage
												}
											}
											additionalParams >
										}
									}
									url < .default
									url {
										typolink {
												// url, target, class, title
											parameter.cObject {
												10 >
												10 = TEXT
												10 {
													field = tx_org_cal.url // url
												}
												20 {
													value       = _blank
													noTrimWrap  = | ||
												}
												30 {
													value = linktourl
												}
											}
											additionalParams >
										}
									}
								}
									// tx_org_cal.teaser_subtitle or tx_org_cal.subtitle
								20 = TEXT
								20 {
									field     = tx_org_cal.teaser_subtitle // teaser_subtitle // tx_org_cal.subtitle // subtitle 
									required	= 1
									wrap = <br /><span class="subtitle">|</span>
								}
									// tx_org_cal.teaser_short or tx_org_cal.bodytext
								30 = TEXT
								30 {
									field     = tx_org_cal.teaser_short // teaser_short // tx_org_cal.bodytext // bodytext
									required	= 1
									wrap = <br /><span class="short">|</span>
									stdWrap {
										stripHtml         = 1
										htmlSpecialChars  = 0
										crop = 180 | &nbsp;... | 1
									}
								}
								stdWrap {
									wrap (

										<td class="small-12 large-8 {$plugin.org.foundation.grid.class.cell} last">
											<table>
												<tr>
													<td>
														|
													</td>
												</tr>
											</table>
										</td>
										<td class="expander"></td>
)
								}
							}
							wrap = <tr>|</tr>
						}
						wrap (

							<tr>
								<td>
									<table>
												|
									</table>
								</td>
							</tr>
)
					}
				}
      }
    }
  }
}